/*********************************************************************************************************
* 模块名称： MyThread.h
* 摘    要： 线程模块
* 当前版本： 1.0.0
* 作    者： Leyutek(COPYRIGHT 2018 - 2021 Leyutek. All rights reserved.)
* 完成日期： 2023年02月20日
* 内    容：
* 注    意：不要在线程中执行刷新 UI 的操作
**********************************************************************************************************
* 取代版本：
* 作    者：
* 完成日期：
* 修改内容：
* 修改文件：
*********************************************************************************************************/
#ifndef MYTHREAD_H
#define MYTHREAD_H

/*********************************************************************************************************
*                                              包含头文件
*********************************************************************************************************/
#include <QThread>

/*********************************************************************************************************
*                                              宏定义
*********************************************************************************************************/

/*********************************************************************************************************
*                                              枚举结构体定义
*********************************************************************************************************/
class MyThread : public QThread
{
    Q_OBJECT

public:
    MyThread(QObject *parent = nullptr);
    ~MyThread();

protected:
    void run() override;

signals:
    void triger();

private slots:
    void onDeleteThread();

};

/*********************************************************************************************************
*                                              API函数声明
*********************************************************************************************************/

#endif // MYTHREAD_H
